//---------------------------------------------------------------------------
#ifndef MixKeyImptDlgsH
#define MixKeyImptDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include "MixKeyWins.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall ImportMixmasterKeys(TForm *Owner, TMixKeyList *keylist,
   TMixKeyList *ImpKeys, TMixKeyList *DupKeys, AnsiString &Importdir);

class TMixKeyImptDlg : public TForm
{
__published:	// IDE-managed Components
  TTimer *Timer1;
  TButton *HelpBtn;
  TButton *ImportBtn;
  TButton *CancelBtn;
  TOpenDialog *OpenDialog;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopDeleteItem;
  TPanel *Panel1;
  TComboBox *ComboBox1;
  TSpeedButton *ClipBtn;
  TSpeedButton *FileBtn;
  TRichEdit *RichEdit1;
  TListBox *ListBox1;
  void __fastcall FileBtnClick(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall ClipBtnClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int flash;
  AnsiString *impdir,cap,nokeysfoundatall;
  TMixKeyList *keylist,*implist,*duplist,*dislist;
  virtual __fastcall TMixKeyImptDlg(TComponent* Owner);
  virtual __fastcall TMixKeyImptDlg(TComponent* Owner, TMixKeyList *Keylist,
     TMixKeyList *Implist, TMixKeyList *Duplist, AnsiString &Impdir);
  virtual __fastcall~TMixKeyImptDlg();
  virtual void __fastcall ImportKeys(AnsiString Name, AnsiString AsciiBlock);
};
//---------------------------------------------------------------------------
extern TMixKeyImptDlg *MixKeyImptDlg;
//---------------------------------------------------------------------------
#endif
