//---------------------------------------------------------------------------
#ifndef MsgInWinH
#define MsgInWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>

#include "TextWins.h"
#include "HeadMan.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
bool __fastcall OpenMessageIn(AnsiString &MailBox, AnsiString &IndexStr);

class TMessageInWin : public TTextWin
{
__published:	// IDE-managed Components
  TPopupMenu *PopupMenu1;
  TMenuItem *PopupTransferItem;
  TMenuItem *PopupDeleteItem;
  TMenuItem *PopupCopyItem;
  TMenuItem *N7;
  TMenuItem *N8;
  TMenuItem *PopupSaveItem;
  TMenuItem *PopSaveAsItem;
  TOfficeButton *SaveBtn;
  TOfficeButton *ReplyBtn;
  TOfficeButton *EditBtn;
  TOfficeButton *HeadersBtn;
  TOfficeButton *PGPcdecBtn;
  TBevel *Bevel3;
  TBevel *Bevel4;
  TMenuItem *SaveasNote1;
  TBevel *Bevel10;
  TOfficeButton *TransferBtn;
  TPopupMenu *PopupMenu2;
  TBevel *Bevel2;
  TOfficeButton *TrashBtn;
  TMenuItem *New1;
  TMenuItem *N9;
  TMenuItem *N1;
  TMenuItem *AddAddresstoAddressBook1;
  TBevel *Bevel5;
  TOfficeButton *CopyAddrBtn;
  TOfficeButton *HelpBtn;
  TMenuItem *DeleteMessage1;
  TMenuItem *SaveMessage1;
  void __fastcall HeadersBtnClick(TObject *Sender);
  void __fastcall ReplyBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall OkBtnClick(TObject *Sender);
  void __fastcall WordWrapClick(TObject *Sender);
  void __fastcall EditBtnClick(TObject *Sender);
  void __fastcall PGPcdecBtnClick(TObject *Sender);
  void __fastcall SaveBtnClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
  void __fastcall PopupSaveItemClick(TObject *Sender);
  void __fastcall PopupSaveasItemClick(TObject *Sender);
  void __fastcall PopupTransferItemClick(TObject *Sender);
  void __fastcall PopupCopyItemClick(TObject *Sender);
  void __fastcall PopupDeleteItemClick(TObject *Sender);
  void __fastcall OkBtnEnter(TObject *Sender);
  void __fastcall OkBtnExit(TObject *Sender);
  void __fastcall SaveBtnEnter(TObject *Sender);
  void __fastcall SaveBtnExit(TObject *Sender);
  void __fastcall SaveMessageBtnClick(TObject *Sender);
  void __fastcall PopupMenuClick(TObject *Sender);
  void __fastcall SaveasNote1Click(TObject *Sender);
  void __fastcall PopupMenu2Popup(TObject *Sender);
  void __fastcall TrashBtnClick(TObject *Sender);
  void __fastcall CopyAddresstoAddressBook1Click(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall FormKeyUp(TObject *Sender, WORD &Key, TShiftState Shift);
	
private:	// User declarations
public:		// User declarations
   bool Shifted;                // has the <Shift> key pressed
   THeaderManager *Headers;
   TStringList *FullMessage;
   AnsiString Mailbox,IndexStr;
   bool FullHeaders,HeadersBtnSet,WordWrapSet;
   virtual __fastcall TMessageInWin(TComponent* Owner);
   virtual __fastcall TMessageInWin(AnsiString &MailBox, AnsiString &Indexstr,
      TComponent *Owner);
   virtual __fastcall ~TMessageInWin();
   void __fastcall SetWinCaption();
   void __fastcall SetMessage();
   void __fastcall SetTrashBtnPos();
   virtual void __fastcall SetEditButtons(bool enable);
   void __fastcall LoadMessage(bool fullheaders);
   void __fastcall SetEditMode(bool Editing);
   void __fastcall CreateReply(bool UseDialog);
   virtual bool __fastcall CheckSave();
   virtual bool __fastcall SaveAsNote();
   virtual bool __fastcall SaveAs();
   virtual bool __fastcall Save();
   bool __fastcall SaveDecrypt(TStrings *Msg, AnsiString &IndexStr);
   void __fastcall TransferItemOnClick(TObject *Sender);
   void __fastcall TransferMessageTo(AnsiString &Boxname);
   void __fastcall CopyMessageTo(AnsiString &Boxname);
// PGP
   //void __fastcall FixPgpBeginEndLines(TStrings *Msg);
   bool __fastcall ConvDecryptMessage();
   void __fastcall SetNoMixmaster();
   void __fastcall SetNoPgp();
};

const AnsiString ReadMailHeaders = "ReadMailHeaders";
const AnsiString ReadHdrs = "Date:,Comments:,From:,To:,Cc:,Subject:";
//---------------------------------------------------------------------------
extern TMessageInWin *MessageInWin;
//---------------------------------------------------------------------------
#endif
