//---------------------------------------------------------------------------
#ifndef NymRptsDlgsH
#define NymRptsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall RunNymReports(TForm *Owner);

class TNymRptsDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TPanel *Panel1;
	TBevel *Bevel1;
	TButton *OkBtn;
	TButton *CancelBtn;
	TListBox *NymList;
	TRadioButton *ProfileBtn;
	TRadioButton *ChainsBtn;
	TRadioButton *EncryptBtn;
	TRadioButton *ExportBtn;
	TSpeedButton *SelectAllBtn;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	
	
	void __fastcall NymListDblClick(TObject *Sender);
	void __fastcall SelectAllBtnClick(TObject *Sender);
	void __fastcall NymListClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TNymRptsDlg(TComponent* Owner);
    void __fastcall PutReportOnDeskTop(TStrings *report, AnsiString caption);
    void __fastcall SelectAll(bool select);
    void __fastcall GenProfileReport();
    void __fastcall GenChainsReport();
    void __fastcall GenExportReport();
    void __fastcall GenEncryptReport();
};
//---------------------------------------------------------------------------
extern TNymRptsDlg *NymRptsDlg;
//---------------------------------------------------------------------------
#endif
