//---------------------------------------------------------------------------
#ifndef MimeEncDlgsH
#define MimeEncDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall AttachFile(TForm *Owner, TStrings *Output);

class TMimeEncDlg : public TForm
{
__published:	// IDE-managed Components
	TEdit *Edit1;
	TButton *BrowseBtn;
	TLabel *Label1;
	TButton *AttachBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
	TOpenDialog *OpenDialog;
	TProgressBar *ProgressBar;
	TTimer *Timer1;
	void __fastcall AttachBtnClick(TObject *Sender);
	void __fastcall BrowseBtnClick(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    int status;
    TStrings *output;
	__fastcall TMimeEncDlg(TComponent* Owner);
    bool __fastcall Execute(TStrings *Output);
};

//const int statMimeOk = 0;
//const int statMimeBadFilename = -1;
//const int statMimeCancel = -2;

class TMimeEnc
{
private:
   TStrings *Output;
   TProgressBar *ProgressBar;
public:
   int status;
   bool Cancelled;
   AnsiString Filename;
   __fastcall TMimeEnc(AnsiString filename, TStrings *output, TProgressBar *progressbar);
   __fastcall ~TMimeEnc();
   AnsiString __fastcall GetContentType(AnsiString &Filename);
   void __fastcall UUEncode();
   int __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TMimeEncDlg *MimeEncDlg;
//---------------------------------------------------------------------------
#endif
